Package org.flowable.cmmn.api.migration

# Class CaseInstanceBatchMigrationResult

java.lang.Object
org.flowable.cmmn.api.migration.CaseInstanceBatchMigrationResult

public class CaseInstanceBatchMigrationResult extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<CaseInstanceBatchMigrationPartResult>`
  `allMigrationParts`
  `protected String`
  `batchId`
  `protected Date`
  `completeTime`
  `protected List<CaseInstanceBatchMigrationPartResult>`
  `failedMigrationParts`
  `static final String`
  `RESULT_FAIL`
  `static final String`
  `RESULT_SUCCESS`
  `protected String`
  `sourceProcessDefinitionId`
  `protected String`
  `status`
  `static final String`
  `STATUS_COMPLETED`
  `static final String`
  `STATUS_IN_PROGRESS`
  `static final String`
  `STATUS_WAITING`
  `protected List<CaseInstanceBatchMigrationPartResult>`
  `succesfulMigrationParts`
  `protected String`
  `targetProcessDefinitionId`
  `protected List<CaseInstanceBatchMigrationPartResult>`
  `waitingMigrationParts`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CaseInstanceBatchMigrationResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMigrationPart(CaseInstanceBatchMigrationPartResult migrationPart)`
  `List<CaseInstanceBatchMigrationPartResult>`
  `getAllMigrationParts()`
  `String`
  `getBatchId()`
  `Date`
  `getCompleteTime()`
  `List<CaseInstanceBatchMigrationPartResult>`
  `getFailedMigrationParts()`
  `String`
  `getSourceCaseDefinitionId()`
  `String`
  `getStatus()`
  `List<CaseInstanceBatchMigrationPartResult>`
  `getSuccessfulMigrationParts()`
  `String`
  `getTargetCaseDefinitionId()`
  `List<CaseInstanceBatchMigrationPartResult>`
  `getWaitingMigrationParts()`
  `void`
  `setBatchId(String batchId)`
  `void`
  `setCompleteTime(Date completeTime)`
  `void`
  `setSourceCaseDefinitionId(String sourceProcessDefinitionId)`
  `void`
  `setStatus(String status)`
  `void`
  `setTargetCaseDefinitionId(String targetProcessDefinitionId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_IN_PROGRESS

    public static final String STATUS_IN_PROGRESS
    See Also:
      - Constant Field Values

  - ### STATUS_WAITING

    public static final String STATUS_WAITING
    See Also:
      - Constant Field Values

  - ### STATUS_COMPLETED

    public static final String STATUS_COMPLETED
    See Also:
      - Constant Field Values

  - ### RESULT_SUCCESS

    public static final String RESULT_SUCCESS
    See Also:
      - Constant Field Values

  - ### RESULT_FAIL

    public static final String RESULT_FAIL
    See Also:
      - Constant Field Values

  - ### batchId

    protected String batchId

  - ### status

    protected String status

  - ### completeTime

    protected Date completeTime

  - ### sourceProcessDefinitionId

    protected String sourceProcessDefinitionId

  - ### targetProcessDefinitionId

    protected String targetProcessDefinitionId

  - ### allMigrationParts

    protected List<CaseInstanceBatchMigrationPartResult> allMigrationParts

  - ### succesfulMigrationParts

    protected List<CaseInstanceBatchMigrationPartResult> succesfulMigrationParts

  - ### failedMigrationParts

    protected List<CaseInstanceBatchMigrationPartResult> failedMigrationParts

  - ### waitingMigrationParts

    protected List<CaseInstanceBatchMigrationPartResult> waitingMigrationParts

- ## Constructor Details

  - ### CaseInstanceBatchMigrationResult

    public CaseInstanceBatchMigrationResult()

- ## Method Details

  - ### getBatchId

    public String getBatchId()

  - ### setBatchId

    public void setBatchId(String batchId)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getCompleteTime

    public Date getCompleteTime()

  - ### setCompleteTime

    public void setCompleteTime(Date completeTime)

  - ### getSourceCaseDefinitionId

    public String getSourceCaseDefinitionId()

  - ### setSourceCaseDefinitionId

    public void setSourceCaseDefinitionId(String sourceProcessDefinitionId)

  - ### getTargetCaseDefinitionId

    public String getTargetCaseDefinitionId()

  - ### setTargetCaseDefinitionId

    public void setTargetCaseDefinitionId(String targetProcessDefinitionId)

  - ### getAllMigrationParts

    public List<CaseInstanceBatchMigrationPartResult> getAllMigrationParts()

  - ### addMigrationPart

    public void addMigrationPart(CaseInstanceBatchMigrationPartResult migrationPart)

  - ### getSuccessfulMigrationParts

    public List<CaseInstanceBatchMigrationPartResult> getSuccessfulMigrationParts()

  - ### getFailedMigrationParts

    public List<CaseInstanceBatchMigrationPartResult> getFailedMigrationParts()

  - ### getWaitingMigrationParts

    public List<CaseInstanceBatchMigrationPartResult> getWaitingMigrationParts()